diff --git a/plugins/pmnormalize/pmnormalize.c b/plugins/pmnormalize/pmnormalize.c
index e1a89841bc..bdbf535740 100644
--- a/plugins/pmnormalize/pmnormalize.c
+++ b/plugins/pmnormalize/pmnormalize.c
@@ -234,6 +234,7 @@ CODESTARTparse2
 					"json: %s\n", r, fjson_object_to_json_string(json));
 		}
 		fjson_object_put(json);
+		ABORT_FINALIZE(RS_RET_COULD_NOT_PARSE);
 	} else {
 		iRet = MsgSetPropsViaJSON_Object(pMsg, json);
 	}
